**If you want to contribute to a _translation_:**[![Crowdin](https://badges.crowdin.net/fediplan/localized.svg)](https://crowdin.com/project/fediplan)

## How to install FediPlan

There are 2 methods to run Fediplan
1. Build and run Docker image
2. Manual install

### 1. Build and run Docker image

#### Required programs
- `git`
- `docker`

#### Steps

1. Clone this repo<br>
`git clone https://framagit.org/tom79/fediplan.git fediplan`

2. Build the Docker image<br>
`docker build -t fediplan fediplan`

3. Run the docker image<br>
`docker run fediplan`

4. Find the IP<br>

    - Find 'CONTAINER ID' of fediplan's container<br>
    `docker ps | grep fediplan`

    - Find IP address of the container<br>
    `docker inspect <CONTAINER ID> | grep IPAddress`

5. Open _<ip_address>:8080_ in your web browser

### 2. Manual install

#### Required programs
- `git`
- `php 8.3` and some extensions
- `composer` ([getcomposer.org/download](https://getcomposer.org/download/))

#### Steps

1. Clone this repo<br>
`git clone https://framagit.org/tom79/fediplan.git fediplan`

2. Change directory to the cloned repo<br>
`cd fediplan`

3. Install vendors<br>
`composer install -o`

4. Point your server software to '_public_' folder

### Support My work
[fedilab.app/page/donations](https://fedilab.app/page/donations/)

### Credits
Docker configurations are based on [github.com/TrafeX/docker-php-nginx](https://github.com/TrafeX/docker-php-nginx)

See: [Download Composer](https://getcomposer.org/download/)

**3 - Public directory:**

Your site needs to target /path/to/FediPlan/public

    
#### Support My work at [fedilab.app](https://fedilab.app/page/donations/)